org.eclipse.gef.dot.internal.ui.conversion

## Class DotColorUtil

- java.lang.Object
- - org.eclipse.gef.dot.internal.ui.conversion.DotColorUtil

    public class DotColorUtil
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`DotColorUtil()`

### Method Summary

All Methods Instance Methods Concrete Methods
`javafx.scene.paint.Color` `computeGraphBackgroundColor(java.lang.String colorScheme, org.eclipse.gef.dot.internal.language.color.Color dotColor)`
`org.eclipse.gef.dot.internal.language.color.Color` `computeHtmlColor(java.lang.String htmlColor)` Returns the `Color` of a HTML-like label color attribute
`java.lang.String` `computeZestColor(java.lang.String colorScheme, org.eclipse.gef.dot.internal.language.color.Color dotColor)` Returns the javafx representation of a dot color.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DotColorUtil

    public DotColorUtil()

### Method Detail

#### computeZestColor

    public java.lang.String computeZestColor(java.lang.String colorScheme,
                                             org.eclipse.gef.dot.internal.language.color.Color dotColor)

Returns the javafx representation of a dot color.

Parameters:
  `colorScheme` - The colorscheme attribute value (or null if not defined)
  `dotColor` - The color in dot representation.
Returns:
  The color in javafx representation, or null if the javafx color representation cannot be determined.

#### computeGraphBackgroundColor

    public javafx.scene.paint.Color computeGraphBackgroundColor(java.lang.String colorScheme,
                                                                org.eclipse.gef.dot.internal.language.color.Color dotColor)

#### computeHtmlColor

    public org.eclipse.gef.dot.internal.language.color.Color computeHtmlColor(java.lang.String htmlColor)

Returns the `Color` of a HTML-like label color attribute

Parameters:
  `htmlColor` - The string attribute value.
Returns:
  The corresponding `Color`.